# DataGridViewTriState

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines values for specifying one of three possible states.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewTriState : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewTriState As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                    |
| ---------- | ------------------------------ |
| **False**  | The property's state is false. |
| **NotSet** | The property is not set.       |
| **True**   | The property's state is true.  |

## Used By

| Name                                                                                                                      | Description                                                                                                                                                                                                                              |
| ------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewColumn.Resizable](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#resizable)     | Returns or sets whether the column is resizable.                                                                                                                                                                                         |
| [DataGridViewColumn.Movable](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#movable)         | Returns or sets whether the user can move the column.                                                                                                                                                                                    |
| [DataGridViewBand.Resizable](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewband.md#resizable)         | Returns or sets whether the band can be resized in the user interface (UI).                                                                                                                                                              |
| [DataGridViewCellStyle.WrapMode](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md#wrapmode) | Returns or sets whether textual content in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell is wrapped to subsequent lines or truncated when it is too long to fit on a single line. |
| [DataGridViewRow.Resizable](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md#resizable)           | Returns or sets whether users can resize the row or indicating that the behavior is inherited from the [AllowUserToResizeRows](/api/wisej.web/lists-and-grids/datagridview.md#allowusertoresizerows) property.                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtristate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
